Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jdbc
Class JcrType.DefaultDataTypes

    java.lang.Object
      org.modeshape.jdbc.JcrType.DefaultDataTypes

Enclosing class:
  JcrType

    public static final class JcrType.DefaultDataTypes

extends Object

Field Summary
`static String` | `BINARY`
`static String` | `BOOLEAN`
`static String` | `DATE`
`static String` | `DECIMAL`
`static String` | `DOUBLE`
`static String` | `LONG`
`static String` | `NAME`
`static String` | `PATH`
`static String` | `REFERENCE`
`static String` | `STRING`
`static String` | `UNDEFINED`
`static String` | `URI`
`static String` | `WEAK_REF`

Constructor Summary
`JcrType.DefaultDataTypes()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRING

    public static final String STRING

See Also:
  Constant Field Values

### BOOLEAN

    public static final String BOOLEAN

See Also:
  Constant Field Values

### LONG

    public static final String LONG

See Also:
  Constant Field Values

### DOUBLE

    public static final String DOUBLE

See Also:
  Constant Field Values

### DECIMAL

    public static final String DECIMAL

See Also:
  Constant Field Values

### DATE

    public static final String DATE

See Also:
  Constant Field Values

### URI

    public static final String URI

See Also:
  Constant Field Values

### WEAK_REF

    public static final String WEAK_REF

See Also:
  Constant Field Values

### UNDEFINED

    public static final String UNDEFINED

See Also:
  Constant Field Values

### BINARY

    public static final String BINARY

See Also:
  Constant Field Values

### REFERENCE

    public static final String REFERENCE

See Also:
  Constant Field Values

### PATH

    public static final String PATH

See Also:
  Constant Field Values

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### JcrType.DefaultDataTypes

    public JcrType.DefaultDataTypes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.